Index: asp3_wo_tecs/trunk/extension/rstr_task/test/test_rstr1.c
===================================================================
--- asp3_wo_tecs/trunk/extension/rstr_task/test/test_rstr1.c	(revision 305)
+++ asp3_wo_tecs/trunk/extension/rstr_task/test/test_rstr1.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2010-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2010-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_rstr1.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_rstr1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -115,10 +115,10 @@
 åº¦ï¼é«ï¼==
  *	2:	slp_tsk() -> E_NOSPT						... (A-1)
- *		tslp_tsk(10000U) -> E_NOSPT					... (A-2)
- *		dly_tsk(10000U) -> E_NOSPT					... (A-3)
+ *		tslp_tsk(TEST_TIME_PROC) -> E_NOSPT			... (A-2)
+ *		dly_tsk(TEST_TIME_PROC) -> E_NOSPT			... (A-3)
  *		wai_sem(SEM1) -> E_NOSPT					... (A-4)
  *		pol_sem(SEM1)								... (A-5)
  *		pol_sem(SEM1) -> E_TMOUT
- *		twai_sem(SEM1, 10000U) -> E_NOSPT			... (A-6)
+ *		twai_sem(SEM1, TEST_TIME_PROC) -> E_NOSPT	... (A-6)
  *  	ext_tsk()
  *	== TASK1ï¼ç¶ãï¼==
@@ -129,5 +129,5 @@
  *		sus_tsk(TASK3) -> E_NOSPT					... (B-7)
  *		rsm_tsk(TASK3) -> E_NOSPT					... (B-8)
- *		sta_alm(ALM1, 10000U)
+ *		sta_alm(ALM1, TEST_TIME_PROC) ... ALM1ãå®è¡éå§ããã¾ã§
  *		slp_tsk()
  *	== ALM1 ==
@@ -240,5 +240,5 @@
 	check_ercd(ercd, E_NOSPT);
 
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -273,8 +273,8 @@
 		check_ercd(ercd, E_NOSPT);
 
-		ercd = tslp_tsk(10000U);
-		check_ercd(ercd, E_NOSPT);
-
-		ercd = dly_tsk(10000U);
+		ercd = tslp_tsk(TEST_TIME_PROC);
+		check_ercd(ercd, E_NOSPT);
+
+		ercd = dly_tsk(TEST_TIME_PROC);
 		check_ercd(ercd, E_NOSPT);
 
@@ -288,5 +288,5 @@
 		check_ercd(ercd, E_TMOUT);
 
-		ercd = twai_sem(SEM1, 10000U);
+		ercd = twai_sem(SEM1, TEST_TIME_PROC);
 		check_ercd(ercd, E_NOSPT);
 
Index: asp3_wo_tecs/trunk/extension/rstr_task/test/test_rstr1.cfg
===================================================================
--- asp3_wo_tecs/trunk/extension/rstr_task/test/test_rstr1.cfg	(revision 305)
+++ asp3_wo_tecs/trunk/extension/rstr_task/test/test_rstr1.cfg	(revision 306)
@@ -2,10 +2,7 @@
  *		å¶ç´ã¿ã¹ã¯ã®ãã¹ã(1)ã®ã·ã¹ãã ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«
  *
- *  $Id: test_rstr1.cfg 327 2015-06-21 06:42:01Z ertl-hiro $
+ *  $Id: test_rstr1.cfg 572 2016-02-01 14:40:09Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
-INCLUDE("syssvc/syslog.cfg");
-INCLUDE("syssvc/banner.cfg");
-INCLUDE("syssvc/serial.cfg");
+INCLUDE("tecsgen.cfg");
 
 #include "test_rstr1.h"
Index: asp3_wo_tecs/trunk/extension/rstr_task/test/test_rstr1.h
===================================================================
--- asp3_wo_tecs/trunk/extension/rstr_task/test/test_rstr1.h	(revision 305)
+++ asp3_wo_tecs/trunk/extension/rstr_task/test/test_rstr1.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2010 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2010-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_rstr1.h 2 2014-01-11 03:50:35Z ertl-hiro $
+ *  $Id: test_rstr1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -80,4 +80,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/extension/rstr_task/test/test_rstr2.cfg
===================================================================
--- asp3_wo_tecs/trunk/extension/rstr_task/test/test_rstr2.cfg	(revision 305)
+++ asp3_wo_tecs/trunk/extension/rstr_task/test/test_rstr2.cfg	(revision 306)
@@ -2,10 +2,7 @@
  *		å¶ç´ã¿ã¹ã¯ã®ãã¹ã(2)ã®ã·ã¹ãã ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«
  *
- *  $Id: test_rstr2.cfg 242 2014-09-30 17:31:16Z ertl-hiro $
+ *  $Id: test_rstr2.cfg 572 2016-02-01 14:40:09Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
-INCLUDE("syssvc/syslog.cfg");
-INCLUDE("syssvc/banner.cfg");
-INCLUDE("syssvc/serial.cfg");
+INCLUDE("tecsgen.cfg");
 
 #include "test_rstr2.h"
